#%if %{?fedora}%{?rhel} >= 5
#%define useselinux 1
#%else
#%define useselinux 0
#%endif

Name:           vtigercrm
Version:        5.1.0
Release:        1%{?dist}
Summary:        OpenSource CRM application
Summary(fr):    Application GRC Libre

Group:          Applications/Internet
License:        GPLv2+
URL:            http://vtiger.com/
Source0:        http://downloads.sourceforge.net/project/vtigercrm/vtiger%20CRM%20%{version}/Core%20Product/%{name}-%{version}.tar.gz

Source1:        vtiger-httpd.conf

#Patch0: vtigercrm-5.1.0-pbxmanager_history_store_number_not_unknown.patch
Patch0: vtigercrm-5.1.0-ast_popup_timing.patch
Patch1: vtigercrm-5.1.0-502_to_503_assignation_reset_to_admin.patch
Patch2: vtigercrm-5.1.0-new_events_default_public.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

Requires: php >= 5
Requires: php-mysql
Requires: php-gd
Requires: httpd
Requires: mysql

Requires(postun): /sbin/service
Requires(post): /sbin/service
BuildRequires:  dos2unix
Requires:       %{_sysconfdir}/cron.d


%description
vtiger CRM is a web based customer relationship management
(CRM) application

%description -l fr
vtiger CRM est une application de gestion
de la relation client (GRC) en mode web.


%prep
%setup -q -n %{name}

%patch0 -p1
%patch1 -p1
%patch2 -p1

# License
mv include/freetag/license.txt LICENSE.freetag
mv include/fckeditor/license.txt LICENSE.fckeditor
mv include/php_writeexcel/LICENSE LICENSE.php_writeexcel
mv include/prototype-1.4.0/LICENSE LICENSE.prototype
mv include/tcpdf/fonts/dejavu-fonts-ttf-2.25/LICENSE LICENSE.dejavu-fonts-ttf
mv include/tcpdf/fonts/dejavu-ttf-2.15/LICENSE LICENSE.dejavu-ttf
mv include/tcpdf/LICENSE.TXT LICENSE.tcpdf
mv include/htmlpurifier/LICENSE LICENSE.htmlpurifier
mv modules/Emails/PHPMailer_LICENSE.txt LICENSE.PHPMailer
mv license/License_linux.txt License_linux.txt
mv license/License_windows.txt License_windows.txt




dos2unix -o LICENSE.freetag LICENSE.fckeditor LICENSE.php_writeexcel \
	LICENSE.prototype LICENSE.dejavu-fonts-ttf LICENSE.dejavu-ttf \
	LICENSE.tcpdf LICENSE.htmlpurifier LICENSE.PHPMailer \
	LICENSE_AGREEMENT.txt LICENSE.txt License_linux.txt \
	License_windows.txt




cat > cron.conf <<EOF
# Vtiger CRM cron jobs
# Un-comment to enable Cron 
#*/5 * * * * apache wget --no-check-certificate https://localhost/vtigercrm/cron/intimateTaskStatus.php -O /dev/null 2> /dev/null
#*/5 * * * * apache wget --no-check-certificate https://localhost/vtigercrm/vtigercron.php?service=MailScanner -O /dev/null 2> /dev/null
#*/5 * * * * apache wget --no-check-certificate https://localhost/vtigercrm/vtigercron.php?service=RecurringInvoice -O /dev/null 2> /dev/null
#*/5 * * * * apache wget --no-check-certificate https://localhost/vtigercrm/vtigercron.php?service=com_vtiger_workflow -O /dev/null 2> /dev/null
#*/5 * * * * apache wget --no-check-certificate https://localhost/vtigercrm/SendReminder.php -O /dev/null 2> /dev/null
#*/5 * * * * apache wget --no-check-certificate https://localhost/vtigercrm/SendSupportNotification.php -O /dev/null
EOF


%build
# empty build

%install
rm -rf %{buildroot} 

# ===== application =====
mkdir -p %{buildroot}/%{_datadir}/%{name}
cp -a *.php *.html *.properties %{buildroot}/%{_datadir}/%{name}/

for a in $(find ./ -mindepth 1 -maxdepth 1 -type d -print); do
    cp -ar $a %{buildroot}/%{_datadir}/%{name}/
done

touch %{buildroot}/%{_datadir}/%{name}/config.inc.php

find %{buildroot}/%{_datadir}/%{name} -type f -exec chmod 644 {} \; 

# ===== apache =====
mkdir -p %{buildroot}/%{_sysconfdir}/httpd/conf.d/
install --mode 644 %{SOURCE1} %{buildroot}/%{_sysconfdir}/httpd/conf.d/vtigercrm.conf

# ====== Cron =====
mkdir -p %{buildroot}%{_sysconfdir}/cron.d
install -m 644 cron.conf %{buildroot}%{_sysconfdir}/cron.d/%{name}

# cleanup

# Proctection in /etc/httpd/conf.d/vtigercrm.conf
find %{buildroot} -name .htaccess -exec rm -f {} \;
rm -f htaccess.txt


%clean
rm -rf %{buildroot} 


%post
/sbin/service httpd condrestart > /dev/null 2>&1 || :


%postun
/sbin/service httpd condrestart > /dev/null 2>&1 || :


%files
%defattr(-,root,root,-)
%doc *.txt LICENSE* README*


%{_datadir}/%{name}


%attr(640,apache,root) %config(noreplace) %{_datadir}/%{name}/config.inc.php
%config(noreplace) %{_sysconfdir}/httpd/conf.d/vtigercrm.conf
%config(noreplace) %{_sysconfdir}/cron.d/%{name}
%config(noreplace) %{_datadir}/%{name}/config.performance.php
%config(noreplace) %{_datadir}/%{name}/log4php.properties
%config(noreplace) %{_datadir}/%{name}/parent_tabdata.php


%attr(644,apache,root) %{_datadir}/%{name}/config.php
%attr(644,apache,root) %{_datadir}/%{name}/install.php
%attr(644,apache,root) %{_datadir}/%{name}/migrate.php
%attr(644,apache,root) %{_datadir}/%{name}/parent_tabdata.php
%attr(644,apache,root) %{_datadir}/%{name}/tabdata.php

%attr(750,apache,root) %{_datadir}/%{name}/cache
%attr(750,apache,root) %dir %{_datadir}/%{name}/install

%attr(750,apache,root) %dir %{_datadir}/%{name}/include/js
%attr(750,apache,root) %dir %{_datadir}/%{name}/logs
%attr(750,apache,root) %dir %{_datadir}/%{name}/modules
%attr(750,apache,root) %dir %{_datadir}/%{name}/modules/Emails/templates
%attr(750,apache,root) %dir %{_datadir}/%{name}/modules/Webmails/tmp
%attr(750,apache,root) %dir %{_datadir}/%{name}/cron/modules
%attr(750,apache,root) %dir %{_datadir}/%{name}/storage
%attr(750,apache,root) %{_datadir}/%{name}/test
%attr(750,apache,root) %dir %{_datadir}/%{name}/backup
%attr(750,apache,root) %dir %{_datadir}/%{name}/user_privileges
%attr(750,apache,root) %dir %{_datadir}/%{name}/Smarty/templates
%attr(750,apache,root) %dir %{_datadir}/%{name}/Smarty/templates/modules
%attr(750,apache,root) %dir %{_datadir}/%{name}/Smarty/templates_c
%attr(750,apache,root) %dir %{_datadir}/%{name}/Smarty/cache


%changelog
* Mon Feb 22 2010 Daniel B. <daniel@firewall-services.com> - 5.1.0-1.el5
- New events are marked public by default

* Wed Jan 20 2010 Daniel B. <daniel@firewall-services.com> - 5.1.0-0beta4.el5
- Fix permissions on include/js
- don't replace parent_tabdata.php

* Mon Oct 26 2009 Daniel B. <daniel@firewall-services.com> - 5.1.0-0beta3.el5
- Comment buggy querry in migration from 503rc2 to 503 where all entries assigned
  to a group are assigned back to admin

* Tue Oct 13 2009 Daniel B. <daniel@firewall-services.com> - 5.1.0-0beta2.el5
- poll for incoming call popup every 3 seconds and let it displayed for 60 seconds

* Wed Sep 30 2009 Daniel B. <daniel@firewall-services.com> - 5.1.0-0beta0.el5
- initial RPM


